Skip to main content
GET
Queue a donor intelligence CSV export

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

client_id
integer
required

Client id.

Query Parameters

queue
enum<string> | null

Queue.

Available options:
all,
high_capacity_under_giving,
stale_to_refresh,
no_insights,
null
search
string | null

Search. Validation: nullable|string|max:255.

Maximum string length: 255
status
enum<string> | null

Status. Validation: nullable|in:all,ready,insufficient-data.

Available options:
all,
ready,
insufficient-data,
null
freshness
enum<string> | null

Freshness. Validation: nullable|in:all,fresh,stale.

Available options:
all,
fresh,
stale,
null
min_target_ask
integer | null

Min target ask. Validation: nullable|integer|min:0.

Required range: x >= 0

Response

Queue a donor intelligence CSV export response.

status
string
message
string
export_id
integer
status_url
string